Loading...
Searching...
No Matches
time.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Functions

int64_t | av_gettime (void)
| Get the current time in microseconds.
int64_t | av_gettime_relative (void)
| Get the current time in microseconds since some unspecified starting point.
int | av_gettime_relative_is_monotonic (void)
| Indicates with a boolean result if the av_gettime_relative() time source is monotonic.
int | av_usleep (unsigned usec)
| Sleep for a period of time.

## Function Documentation

## av_gettime()

int64_t av_gettime | ( | void |  | ) |

Get the current time in microseconds.

## av_gettime_relative()

int64_t av_gettime_relative | ( | void |  | ) |

Get the current time in microseconds since some unspecified starting point.

On platforms that support it, the time comes from a monotonic clock This property makes this time source ideal for measuring relative time. The returned values may not be monotonic on platforms where a monotonic clock is not available.

## av_gettime_relative_is_monotonic()

int av_gettime_relative_is_monotonic | ( | void |  | ) |

Indicates with a boolean result if the av_gettime_relative() time source is monotonic.

## av_usleep()

int av_usleep | ( | unsigned | usec | ) |

Sleep for a period of time.

Although the duration is expressed in microseconds, the actual delay may be rounded to the precision of the system timer.

Parameters

  usec | Number of microseconds to sleep.

Returns
  zero on success or (negative) error code.

Examples
  decode_filter_video.c.

Referenced by display_frame().